package com.inet.dashboard.openweathermap;

import com.inet.annotations.JsonData;

/**
 * The weather information
 */
@JsonData
public class Weather {
    private long   id;
    private String description;
    private String icon;

    /**
     * Returns the id of the weather status.
     * @return the id of the weather status.
     */
    public long getId() {
        return id;
    }

    /**
     * Returns the localized description of the weather
     * @return the localized description of the weather
     */
    public String getDescription() {
        return description;
    }
    
    /**
     * Returns the weather icon id
     * @return the weather icon id
     */
    public String getIcon() {
        return icon;
    }
}